Last modified: 2014-11-18 18:07:09 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 16228 - filter history of edits on bots (hidebots=1)
filter history of edits on bots (hidebots=1)
Status: REOPENED
Product: MediaWiki
Classification: Unclassified
History/Diffs (Other open bugs)
unspecified
All All
: Low enhancement with 10 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
http://wikipedia.org
: patch, patch-reviewed
: 16392 20783 25099 34265 (view as bug list)
Depends on: 11181
Blocks: 16619
  Show dependency treegraph
 
Reported: 2008-11-03 14:53 UTC by SpeedyGonsales
Modified: 2014-11-18 18:07 UTC (History)
17 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
proposed patch (2.19 KB, patch)
2009-04-20 22:00 UTC, Ahmad Sherif
Details

Description SpeedyGonsales 2008-11-03 14:53:29 UTC
Copy/paste of irc talk (I hope Simetrical and _mary_kate_ wouldn't mind :-)

<stemd> question (or feature suggustion/request):
<stemd> http://en.wikipedia.org/w/index.php?title=Professor_Balthazar&action=history&hidebots=1
<stemd> there are lot of pages which contain lot of bot action, and few (read one or two) human edits
<stemd> as recent changes has filter hidebots=1
<Simetrical> No bot flag in the revision table.
* Simetrical looks for bug
<stemd> aha
<_mary_kate_> join on user_groups
<_mary_kate_> ;)
<Simetrical> _mary_kate_, different semantics.  That would be retroactive.
<_mary_kate_> it achieves what the user wants
<stemd> Simetrical:  (last time I studied db tables of wikipedia was some 2 years ago :-)
* Simetrical doesn't see the bug
<Simetrical> _mary_kate_, inconsistently with RC.
<_mary_kate_> inconsistency in mediawiki oh my whatever next
<stemd> select * from revisions where USER != bot :D
<stemd> I'll post bug, thanks
Comment 1 Aryeh Gregor (not reading bugmail, please e-mail directly) 2008-11-03 14:55:55 UTC
Pretty sure this is a duplicate of something.
Comment 2 Filip Maljkovic [Dungodung] 2008-11-04 08:01:22 UTC
Maybe you were thinking of bug 11181 ?
Comment 3 Aryeh Gregor (not reading bugmail, please e-mail directly) 2008-11-04 17:32:14 UTC
Yeah, related issue, although not the same.
Comment 4 Alexandre Emsenhuber [IAlex] 2008-11-19 20:11:32 UTC
*** Bug 16392 has been marked as a duplicate of this bug. ***
Comment 5 Aaron Schulz 2009-01-02 21:36:15 UTC
Is there a page were bots are a problem?
Comment 6 Aaron Schulz 2009-01-02 21:37:06 UTC
(In reply to comment #5)
> Is there a page were bots are a problem?
> 

Other than the above, of course :)
Comment 7 Melancholie 2009-01-02 22:35:06 UTC
For small(er) wikis it's quite a problem, see bug 16392:
http://als.wikipedia.org/w/index.php?title=%CE%93&curid=7185&action=history

There are many page histories that are flooded with single bot edits, making history pages a heavy going sometimes ;-)
Comment 8 SpeedyGonsales 2009-01-03 09:54:19 UTC
As time flies, page histories will become longer (that everybody wants, '''depth''' of the wiki).

But if you have 2.000 edits on some page, a few hundred human made edits
and rest is a bot edits, you will kill Brion and any other PHP programmer
if they soon don't resolve this bug :-), and you for some reason want/have to
go deep down the history to find some particular edit.

Now is that possible in between 1 minute and 1 hour, when that become 3-4 hours,
people will start screaming.
So better to do something soon :-)

Best wishes for 2009!
Comment 9 SJ 2009-04-18 22:13:29 UTC
Agreed, this is a major issue, not just for small wikis, but for topics that are flooded by bot-happy editors :)
Comment 10 Ahmad Sherif 2009-04-20 22:00:58 UTC
Created attachment 6047 [details]
proposed patch

This patch may help, i'm not sure about the resulting performance though.
Comment 11 Happy-melon 2010-03-25 19:46:51 UTC

*** This bug has been marked as a duplicate of bug 11181 ***
Comment 12 Platonides 2010-03-25 20:05:19 UTC
This is not a duplicate of bug 11181, but it is a blocker for this.

Looks like the patch would have issues on pagination, showing less history entries than requested. Also, it is hardcoding the bot group.

Assuming you work with the bot group, and there are few bots per wiki, you could get a list of users to filter out, making this hack quite efficient. Perhaps even with a rev_user not IN.
Comment 13 Aryeh Gregor (not reading bugmail, please e-mail directly) 2010-03-25 22:54:43 UTC
Or you could do a left join.  That would be more efficient if there are enough bots.  This would have fairly bad worst-case performance in any implementation, I think.
Comment 14 Aryeh Gregor (not reading bugmail, please e-mail directly) 2010-03-25 22:55:32 UTC
Well, if bug 11181 is fixed, this becomes trivial, same as on RC.  That seems like the most sensible way to do it.  Without fixing that, you'd also have to hide *all* bot edits, not only edits with the bot flag.
Comment 15 Platonides 2010-03-25 23:16:38 UTC
Yes, bug 11181 is the way to do it. Note that even with it, we will want an scrip to retropopulate the value.
Comment 16 Aryeh Gregor (not reading bugmail, please e-mail directly) 2010-03-25 23:48:39 UTC
Not possible.  Not all edits by bots are bot edits.  Some bots deliberately do not set the bot flag on their edits, because they don't want to be invisible.  We should not make these bots' edits retroactively invisible.
Comment 17 Platonides 2010-03-26 00:33:29 UTC
In such case they are unlikely to have bot flag.
Comment 18 Roan Kattouw 2010-03-26 17:00:58 UTC
(In reply to comment #17)
> In such case they are unlikely to have bot flag.

The bot flag comes with other privileges, such as higher API query limits. Also, some bots may wish to exercise discretion and mark certain edits as bot edits while leaving others visible.
Comment 19 Chad H. 2010-09-08 15:13:30 UTC
*** Bug 25099 has been marked as a duplicate of this bug. ***
Comment 20 bennylin 2010-09-09 06:34:53 UTC
(In reply to comment #19)
> *** Bug 25099 has been marked as a duplicate of this bug. ***

Yes, please enable hideBots=1 in history page. Sorry I haven't had the chance to read the whole discussion and technical difficulties.

id.wp
Comment 21 Hercule 2011-03-21 18:31:50 UTC
*** Bug 20783 has been marked as a duplicate of this bug. ***
Comment 22 Sumana Harihareswara 2011-11-10 06:28:35 UTC
+reviewed since the patch received code review in comment 12 and afterwards.  Thanks for the patch, Ahmad.
Comment 23 Chad H. 2012-02-08 14:28:57 UTC
*** Bug 34265 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links